Subject: [AVT] AD review: draft-ietf-srtp-not-mandatory-05

From: Robert Sparks <[email-masked]>
Date: Wed, 12 May 2010 15:45:52 -0500

Summary: This is ready to go into IETF last call (which should be issued shortly)

I have some comments/questions - treat these as early last call comments:

In the bullet list in section 4, I don't think it is necessary for this document
to speculate on the prevalence of the different deployment environments.
I suggest changing "The most common use case for RTP is probably" to
"A common use case for RTP is"

Section 4 could be read (through omission) to imply that dtls-srtp or zrtp
are not appropriate for the point-to-point on trusted infrastructure use case.
I don't think that was the intent of the working group and suggest explicitly
mentioning that dtls-srtp or zrtp would be appropriate for those environments
as well.

Nit: s/unncessary/unnecessary/

---

From: Colin Perkins <[email-masked]>
Date: Fri, 14 May 2010 09:27:04 +0100

Robert,

On 12 May 2010, at 21:45, Robert Sparks wrote:
> In the bullet list in section 4, I don't think it is necessary for  
> this document to speculate on the prevalence of the different  
> deployment environments. I suggest changing "The most common use  
> case for RTP is probably" to "A common use case for RTP is"
>
> Section 4 could be read (through omission) to imply that dtls-srtp  
> or zrtp are not appropriate for the point-to-point on trusted  
> infrastructure use case. I don't think that was the intent of the  
> working group and suggest explicitly mentioning that dtls-srtp or  
> zrtp would be appropriate for those environments as well.
>

Thanks - these are all good suggestions. We'll submit an update to  
incorporate them once the IETF last call closes.

-- 
Colin Perkins
http://csperkins.org/